/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.dto.ChangeTableDto;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.custom.entity.file.TurnoverFileInfo;
import com.tofly.watermeter.entity.Bwhbdatail;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 水表换表记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwhbdatailService extends IService<Bwhbdatail> {

    IPage getExchange(Page page, String inputcontent, String sbbh , Date startTime , Date endTime);

    IPage<Map> getSyDate(Page page , Statistic statistic);

    IPage<Map> getSyDateDetails(Page page, Long cj, Long kj, Long lx, Integer syDate);

    List<Map> getSyDateDetailsList(Long cj, Long kj, Long lx, Integer syDate);

    List<Bwhbdatail> getYjInfo(List<TurnoverFileInfo> v);

    Object saveChangeTable(ChangeTableDto dto);
}
